.TH wxIcon 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxIcon \- See external documentation: wxIcon\&.
.SH DESCRIPTION
.LP
See external documentation: wxIcon <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxicon\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxBitmap 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxIcon()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxIcon()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxicon\&.html#wxiconwxicon>\&.
.RE
.LP
.B
new(X::string() | term()) -> wxIcon()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxicon\&.html#wxiconwxicon>\&. 
.br
 Alternatives: 
.LP
\fI new(Filename::string()) -> new(Filename, []) \fR
.LP
\fI new(Loc::wx:wx()) -> wxIcon() \fR 
.RE
.LP
.B
new(Filename::string(), Options::[Option]) -> wxIcon()
.br
.RS
.TP
Types
Option = {type, WxBitmapType} | {desiredWidth, integer()} | {desiredHeight, integer()}
.br
WxBitmapType = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxicon\&.html#wxiconwxicon>\&. 
.br
 WxBitmapType is one of ?wxBITMAP_TYPE_INVALID | ?wxBITMAP_TYPE_BMP | ?wxBITMAP_TYPE_BMP_RESOURCE | ?wxBITMAP_TYPE_RESOURCE | ?wxBITMAP_TYPE_ICO | ?wxBITMAP_TYPE_ICO_RESOURCE | ?wxBITMAP_TYPE_CUR | ?wxBITMAP_TYPE_CUR_RESOURCE | ?wxBITMAP_TYPE_XBM | ?wxBITMAP_TYPE_XBM_DATA | ?wxBITMAP_TYPE_XPM | ?wxBITMAP_TYPE_XPM_DATA | ?wxBITMAP_TYPE_TIF | ?wxBITMAP_TYPE_TIF_RESOURCE | ?wxBITMAP_TYPE_GIF | ?wxBITMAP_TYPE_GIF_RESOURCE | ?wxBITMAP_TYPE_PNG | ?wxBITMAP_TYPE_PNG_RESOURCE | ?wxBITMAP_TYPE_JPEG | ?wxBITMAP_TYPE_JPEG_RESOURCE | ?wxBITMAP_TYPE_PNM | ?wxBITMAP_TYPE_PNM_RESOURCE | ?wxBITMAP_TYPE_PCX | ?wxBITMAP_TYPE_PCX_RESOURCE | ?wxBITMAP_TYPE_PICT | ?wxBITMAP_TYPE_PICT_RESOURCE | ?wxBITMAP_TYPE_ICON | ?wxBITMAP_TYPE_ICON_RESOURCE | ?wxBITMAP_TYPE_ANI | ?wxBITMAP_TYPE_IFF | ?wxBITMAP_TYPE_TGA | ?wxBITMAP_TYPE_MACCURSOR | ?wxBITMAP_TYPE_MACCURSOR_RESOURCE | ?wxBITMAP_TYPE_ANY
.RE
.LP
.B
copyFromBitmap(This::wxIcon(), Bmp::wxBitmap() (see module wxBitmap)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxicon\&.html#wxiconcopyfrombitmap>\&.
.RE
.LP
.B
destroy(This::wxIcon()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
